### Method

# Secret Service ensure_session_finish

#### Declaration [src]

    gboolean
    secret_service_ensure_session_finish (
      SecretService* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation to ensure that the `SecretService` proxy has established a session with the Secret Service.

#### Parameters

`result`

  Type: `GAsyncResult`

  The asynchronous result passed to the callback.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether a session is established or not.